Bug 189044 - Review Request: perl-Log-Message
Review Request: perl-Log-Message
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505 188519 188523
Blocks: FE-ACCEPT 189046 189047 189048
  Show dependency treegraph
 
Reported: 2006-04-14 20:08 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 12:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 20:08:08 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Log-Message/perl-Log-Message.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Log-Message-0.01-1.src.rpm
Description:
Log::Message is a generic message storage mechanism. It allows you to store
messages on a stack -- either shared or private -- and assign meta-data to
it. Some meta-data will automatically be added for you, like a timestamp
and a stack trace, but some can be filled in by the user, like a tag by
which to identify it or group it, and a level at which to handle the
message (for example, log it, or die with it).
Comment 1 Jason Tibbitts 2006-04-15 02:49:19 EDT
One warning from the tests; from a quick code inspection I think this is an
upstream bug.

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_Log-Message-Config....ok
t/02_Log-Message...........Use of uninitialized value in regexp compilation at
t/02_Log-Message.t line 87.
ok
All tests successful.
Files=2, Tests=34,  0 wallclock secs ( 0.14 cusr +  0.04 csys =  0.18 CPU)

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   f04298e81488a5a39930fd417d47656e  Log-Message-0.01.tar.gz
   f04298e81488a5a39930fd417d47656e  Log-Message-0.01.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jason Tibbitts 2006-04-19 11:26:36 EDT
It seems I forgot the magic word. In case it wasn't obvious from the FE-ACCEPT
thing,

APPROVED
Comment 3 Steven Pritchard 2006-04-21 18:57:13 EDT
I've opened a ticket for the warning: 
http://rt.cpan.org//Ticket/Display.html?id=18845
Comment 4 Steven Pritchard 2006-05-06 12:07:45 EDT
Imported, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.